{% load crispy_forms_tags %}
<!-- Modal -->
<div class="modal fade" id="freezeModal-{{ sale_id }}" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Заморозка абонемента {{ abon_name }}</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
          <form id="freezeForm-{{ sale_id }}">
              {% csrf_token %}
              {{ freeze_form|crispy }}
          </form>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Отменить</button>
        <button type="button" id="freezeBtn-{{ sale_id }}" class="btn btn-primary">Заморозить</button>
      </div>
    </div>
  </div>
</div>

{% load static %}
    <script src="{% static 'sb_admin/vendor/jquery/jquery.min.js' %}"></script>
<!-- SEND DATA VIA AJAX -->
<script type="application/javascript">

    (function () {
        function makeFreeze(abonId) {
            return new Promise((resolve, reject) => {
                $.ajax({
                    url: "{{ freeze_url }}",
                    type: 'post',
                    data: $('#freezeForm-{{ sale_id }}').serialize(),
                    success: function (data) {
                        resolve(data)
                    },
                    error: function (error) {
                        reject(error)
                    }
                })
            })

        }
        $('#freezeForm-{{ sale_id }}').find('input[name="abonement_id"]').val("{{ sale_id }}")

        $('#freezeBtn-{{ sale_id }}').click(function () {
            makeFreeze(Number("{{ sale_id }}")).then(data => {
                location.reload()
            })
        })
    })()

</script>